#property indicator_separate_window
#property indicator_buffers 2
#property indicator_color1 FireBrick
#property indicator_color2 DarkSalmon
#property indicator_level1 0.5

//---- input parameters
extern int    IndicPeriod    = 24;
//---- buffers
double indic_res[], indic_ma[];
//+------------------------------------------------------------------+
//       INIT                      
//+------------------------------------------------------------------+
int init(){
   SetIndexStyle(0, DRAW_LINE);
   SetIndexBuffer(0, indic_res);
   SetIndexDrawBegin(0, IndicPeriod);
   SetIndexLabel(0, " /    "+IndicPeriod); 

   SetIndexStyle(1, DRAW_LINE);
   SetIndexBuffer(1, indic_ma);
   SetIndexDrawBegin(1, IndicPeriod<<1);
   SetIndexLabel(1, "  "+IndicPeriod); 
   return(0);
}
//+------------------------------------------------------------------+
//| START                              |
//+------------------------------------------------------------------+
int start(){
   int limit, counted_bars = IndicatorCounted();

   if(counted_bars  < 0) return(0);
   if(counted_bars == 0) limit = Bars -IndicPeriod;
   if(counted_bars > 0) limit = Bars - counted_bars ;
 
   //  MAIN LOOP
   for(int i=limit; i>=0; i--){
      double dAtr = iATR(NULL,0,IndicPeriod,i);
      double dSumBodyAvg = 0.0;
      for(int j=IndicPeriod; j>0; j--)dSumBodyAvg += MathAbs(Open[i+j]-Close[i+j]);
      dSumBodyAvg = dSumBodyAvg/IndicPeriod;
      indic_res[i] = dSumBodyAvg/dAtr ;
      IndicatorShortName("<> :" + IndicPeriod +" :" +DoubleToStr(dAtr,4) +" :" +DoubleToStr(dSumBodyAvg,4) +" /:" );
   }
   
   // MA
   for(i=limit; i>=0; i--) indic_ma[i] =iMAOnArray(indic_res,0,IndicPeriod,0,MODE_SMA,i);

   
   return(0);
}


